<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array();
interface AdvancedQueryBuilderInterface extends QueryBuilderInterface
{
    public function AndFilter(array ...$filters);
    public function OrFilter(array ...$filters);
    public function NotFilter(array $filter);
    public function Any(array ...$queries);
    public function All(array ...$queries);
    public function Filter($query, $filter);
    public function Match(string $match_string, array $fields);
    public function MatchPrefix(string $prefix, array $fields);
    public function MatchEmbeddedWords(string $words, array $fields);
    public function MatchFuzzy(string $match_string, array $fields);
    public function MatchKeywords(string $keywords);
    public function MatchKeywordsFuzzy(string $keywords);
    public function MatchTerm(string $term, array $fields);
    public function LessThanOrEqual(string $value, array $fields);
    public function GreaterThanOrEqual(string $value, array $fields);
    public function IgnorePermissions();
}